io.vertx.rxjava.ext.asyncsql

## Class MySQLClient

- java.lang.Object
- - io.vertx.rxjava.ext.asyncsql.AsyncSQLClient
  - - io.vertx.rxjava.ext.asyncsql.MySQLClient

-     public class MySQLClient
      extends AsyncSQLClient

  Represents an asynchronous MySQL client

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeArg<MySQLClient>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MySQLClient(MySQLClient delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AsyncSQLClient` | `createNonShared(Vertx vertx, JsonObject config)` Create a MySQL client which maintains its own pool.
    `static AsyncSQLClient` | `createShared(Vertx vertx, JsonObject config)` Like `createShared(io.vertx.rxjava.core.Vertx, io.vertx.core.json.JsonObject, java.lang.String)` but with the default pool name
    `static AsyncSQLClient` | `createShared(Vertx vertx, JsonObject config, String poolName)` Create a MySQL client which shares its data source with any other MySQL clients created with the same data source name
    `MySQLClient` | `getDelegate()`
    `static MySQLClient` | `newInstance(MySQLClient arg)`

    - ### Methods inherited from class io.vertx.rxjava.ext.asyncsql.AsyncSQLClient

      `close, close, closeObservable, getConnection, getConnectionObservable, newInstance, rxClose, rxGetConnection`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final TypeArg<MySQLClient> __TYPE_ARG

  - ### Constructor Detail

    - #### MySQLClient

          public MySQLClient(MySQLClient delegate)

  - ### Method Detail

    - #### getDelegate

          public MySQLClient getDelegate()

      Overrides:
        `getDelegate` in class `AsyncSQLClient`

    - #### createNonShared

          public static AsyncSQLClient createNonShared(Vertx vertx,
                                                       JsonObject config)

      Create a MySQL client which maintains its own pool.
      Parameters:
        `vertx` - the Vert.x instance
        `config` - the configuration
      Returns:
        the client

    - #### createShared

          public static AsyncSQLClient createShared(Vertx vertx,
                                                    JsonObject config,
                                                    String poolName)

      Create a MySQL client which shares its data source with any other MySQL clients created with the same data source name
      Parameters:
        `vertx` - the Vert.x instance
        `config` - the configuration
        `poolName` - the pool name
      Returns:
        the client

    - #### createShared

          public static AsyncSQLClient createShared(Vertx vertx,
                                                    JsonObject config)

      Like `createShared(io.vertx.rxjava.core.Vertx, io.vertx.core.json.JsonObject, java.lang.String)` but with the default pool name
      Parameters:
        `vertx` - the Vert.x instance
        `config` - the configuration
      Returns:
        the client

    - #### newInstance

          public static MySQLClient newInstance(MySQLClient arg)

Copyright © 2017. All rights reserved.